HELM(1)

NAME

helm-version - print the client/server version information

SYNOPSIS

helm version

DESCRIPTION

Show the client and server versions for Helm and tiller.

This will print a representation of the client and server versions of Helm and Tiller. The output will look something like this:

Client: version.Version{SemVer:"v2.0.0", GitCommit:"ff52399e51bb880526e9cd0ed8386f6433b74da1", GitTreeState:"clean"} Server: version.Version{SemVer:"v2.0.0", GitCommit:"b0c113dfb9f612a9add796549da66c0d294508a3", GitTreeState:"clean"}

•   SemVer is the semantic version of the release.

•   GitCommit is the SHA for the commit that this version was built from.

•   GitTreeState is "clean" if there are no local code changes when this binary was built, and "dirty" if the binary was built from locally modified code.

To print just the client version, use '--client'. To print just the server version, use '--server'.

OPTIONS

-c, --client[=false]
    client version only

-s, --server[=false]
    server version only

--short[=false]
    print the version number

--tls[=false]
    enable TLS for request

--tls-ca-cert="$HELM_HOME/ca.pem"
    path to TLS CA certificate file

--tls-cert="$HELM_HOME/cert.pem"
    path to TLS certificate file

--tls-key="$HELM_HOME/key.pem"
    path to TLS key file

--tls-verify[=false]
    enable TLS for request and verify remote

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra